# NM_Get_FED_File Class Reference

`#include <NM_Classes.hh>`

Inheritance diagram for NM_Get_FED_File:

[legend]

List of all members.

## Public Types
typedef NetworkMessage | Super
## Public Member Functions
| NM_Get_FED_File ()
virtual | ~NM_Get_FED_File ()
virtual void | serialize (MessageBuffer &msgBuffer)
| Serialize the message into a buffer.
virtual void | deserialize (MessageBuffer &msgBuffer)
| DeSerialize the message from a buffer.
void | setFEDid (std::string newFEDid)
const std::string | getFEDid () const
void | setFEDLine (std::string newLine)
std::string | getFEDLine ()
## Protected Attributes
std::string | line

## Detailed Description

Definition at line 1514 of file NM_Classes.hh.

## Member Typedef Documentation

typedef NetworkMessage Super

Definition at line 1516 of file NM_Classes.hh.

## Constructor & Destructor Documentation

NM_Get_FED_File | ( |  | ) |

Definition at line 1772 of file NM_Classes.cc.

References NetworkMessage::GET_FED_FILE, NetworkMessage::name, and NetworkMessage::type.

~NM_Get_FED_File | ( |  | ) | `[virtual]`

Definition at line 1777 of file NM_Classes.cc.

## Member Function Documentation

void serialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

Serialize the message into a buffer.

Reimplemented from NetworkMessage.

Definition at line 1779 of file NM_Classes.cc.

References NetworkMessage::FEDid, NM_Get_FED_File::line, NetworkMessage::number, NetworkMessage::serialize(), and MessageBuffer::write_string().

Here is the call graph for this function:

void deserialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

DeSerialize the message from a buffer.

Reimplemented from NetworkMessage.

Definition at line 1789 of file NM_Classes.cc.

References NetworkMessage::deserialize(), NetworkMessage::FEDid, NM_Get_FED_File::line, NetworkMessage::number, and MessageBuffer::read_string().

Here is the call graph for this function:

void setFEDid | ( | std::string | newFEDid | ) | `[inline]`

Definition at line 1522 of file NM_Classes.hh.

const std::string getFEDid | ( |  | ) | const`[inline]`

Definition at line 1523 of file NM_Classes.hh.

void setFEDLine | ( | std::string | newLine | ) | `[inline]`

Definition at line 1527 of file NM_Classes.hh.

Referenced by RTIG::processJoinFederation().

std::string getFEDLine | ( |  | ) | `[inline]`

Definition at line 1528 of file NM_Classes.hh.

## Member Data Documentation

std::string line`[protected]`

Definition at line 1528 of file NM_Classes.hh.

Referenced by NM_Get_FED_File::deserialize(), and NM_Get_FED_File::serialize().

The documentation for this class was generated from the following files:

- NM_Classes.hh
- NM_Classes.cc